$(function() {
  var center = new OpenLayers.LonLat(1.1646, 50.8753);
  map = new OpenLayers.Map('map');
  var layers = [];
  layers[0] = new OpenLayers.Layer.Google(
                "Google Satellite",
                {type: G_SATELLITE_MAP, numZoomLevels: 22}
            );


  var geojson_format = new OpenLayers.Format.GeoJSON();
  layers[1] = new OpenLayers.Layer.Vector({'geometryType': 'Point'});
//  map.addLayer(vector_layer);
  map.addLayers(layers);
  map.setCenter(center, 10);
  getShipsJSON();

//  $.getJSON("geojson", {}, function(json) {
//    layers[1].addFeatures(geojson_format.read(json));
//    layers[1].events.on({
//      'featureselected': onFeatureSelect
//    });
  function getShipsJSON() {
    var currExtent = map.getExtent();
    var params = {
      'sw_x': currExtent.left,
      'sw_y': currExtent.bottom,
      'ne_x': currExtent.right,
      'ne_y': currExtent.top
    }
    $.getJSON("shipjson", params, function(data) {
      layers[1].addFeatures(geojson_format.read(data)); 
      var control = new OpenLayers.Control.SelectFeature(layers[1], {hover: false}); 
      map.addControl(control);
      control.activate();
      layers[1].events.on({
        'featureselected': onFeatureSelect
      });
      var html = '';
      console.log(data);
      FOO = data;
      for (var i=0; i<data.features.length; i++) {
        var ship = data.features[i];
        var name = ship.properties.name;
        var mmsi = ship.properties.mmsi;
        html += '<div class="shipName" data-mmsi="' + mmsi + '">' + name + '</div>';
      }
      $('#data').html(html);
    });
  }


  function onFeatureSelect(f) {
    alert(f.feature.attributes['name']);
  }
});

$('.shipName').live("click", function() {
  var $that = $(this);
  $.getJSON("shipDetail", {
    'mmsi': $that.attr("data-mmsi"),
    'name': $that.text()
    }, function(data) {
    var html = data.MT_Basic;
    $that.after(html);
 });  
});
